ant (1.10.11-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 4.6.0.1

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 17 Sep 2021 09:25:06 +0200

ant (1.10.9-4) unstable; urgency=medium

  * Disable doclint only with the default doclet (Closes: #986518)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 17 Apr 2021 15:55:11 +0200

ant (1.10.9-3) unstable; urgency=medium

  * Disable doclint by default when building a Debian package (Closes: #981927)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Feb 2021 09:16:09 +0100

ant (1.10.9-2) unstable; urgency=medium

  * Adjust the source/target level to 7 when using Java 12 or later
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 21 Jan 2021 12:39:24 +0100

ant (1.10.9-1) unstable; urgency=medium

  * New upstream release
    - Fixes CVE-2020-11979: Insecure temporary file (Closes: #971612)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 12 Oct 2020 17:30:15 +0200

ant (1.10.8-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Fixes CVE-2020-1945: Insecure temporary file (Closes: #960630)
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12

  [ Gilles Filippini ]
  * Fix failure when installed along with usrmerge and invoked via /bin/ant
    (Closes: #914748)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 18 May 2020 01:34:52 +0200

ant (1.10.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.4.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 24 Oct 2019 15:50:29 +0200

ant (1.10.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 12 Jul 2019 00:58:58 +0200

ant (1.10.5-3) unstable; urgency=medium

  [ Matthias Klose ]
  * Mark binary packages as M-A: foreign. Closes: #925467.
  * Bump standards version.

  [ Tiago Stürmer Daitx ]
  * Enable multi release jar support. LP: #1808383.
    - debian/patches/0016-multirelease-jar-support.patch: apply 2 upstream
      patches to provide mrjar support.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Mar 2019 09:36:55 +0100

ant (1.10.5-2) unstable; urgency=medium

  * Team upload.
  * Lower the minimum required source/target level to 1.6 again.
    This is acceptable for OpenJDK 11 but must be reverted for OpenJDK 12.
    Thanks to Bdale Garbee for the report and patch. (Closes: #906785)
  * Declare compliance with Debian Policy 4.2.1.

 -- Markus Koschany <apo@debian.org>  Mon, 27 Aug 2018 14:57:47 +0200

ant (1.10.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Replaced debian/orig-tar.sh with the Files-Excluded mechanism
  * Standards-Version updated to 4.1.5

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 Jul 2018 15:14:01 +0200

ant (1.10.4-2) unstable; urgency=medium

  * Team upload.
  * Reverted the modification setting the 'release' attribute automatically
    since this renders the internal JDK APIs unavailable at compile time.
    (Closes: #902895)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 Jul 2018 10:53:12 +0200

ant (1.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Compile with hamcrest-all on the classpath

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 25 Jun 2018 13:11:09 +0200

ant (1.10.3-2) unstable; urgency=medium

  * Team upload.
  * Automatically set the value of the javac --release attribute to improve
    the backward compatibility of the code compiled with Java 9 or later.
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 13 Jun 2018 23:28:33 +0200

ant (1.10.3-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Changed the source/target level to 1.8 when building Ant
    - Build the new optional ant-xz module
    - Require Java 8 or higher to run Ant
  * Don't use the javadoc --ignore-source-errors option when using
    a custom doclet (Closes: #893547)
  * Adjust the source/target level to 1.7 in anticipation of the 1.6 removal
    in Java 11
  * Added activation.jar to the build classpath to fix the empty ant-javamail
    jar with Java 9

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 29 Mar 2018 09:35:04 +0200

ant (1.9.10-2) unstable; urgency=medium

  * Non maintainer upload.
  * Stop building the gcj packages.
  * Remove Ludovic and Werner as uploaders.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Mar 2018 10:04:26 +0100

ant (1.9.10-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11
  * Use a secure URL in debian/watch

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 23 Feb 2018 15:12:23 +0100

ant (1.9.9-6) unstable; urgency=medium

  * Team upload.
  * Standards-Version updated to 4.1.2
  * ignore-source-errors in javadoc invocations (Closes: #884187)

 -- Chris West <debian@fau.xxx>  Tue, 19 Dec 2017 14:58:13 +0000

ant (1.9.9-5) unstable; urgency=medium

  [ Chris West (Faux) ]
  * Adjust source/target level in Debian builds in more cases:
    - when ant.build.javac.source is set (Closes: #873969)
    - for javadoc (Closes: #873977)

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 29 Nov 2017 00:09:31 +0100

ant (1.9.9-4) unstable; urgency=medium

  * Team upload.
  * Adjust the source/target level automatically for Debian builds with Java 9
  * Removed the Breaks/Replaces/Conflicts with the long gone libant1.6-java
  * Standards-Version updated to 4.0.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 30 Jun 2017 01:01:54 +0200

ant (1.9.9-3) unstable; urgency=medium

  * Team upload.
  * Restore the GCJ packages.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Jun 2017 08:56:24 +0200

ant (1.9.9-2) unstable; urgency=medium

  * Team upload.
  * Removed the GCJ packages

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 18 Jun 2017 11:36:49 +0200

ant (1.9.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Removed 0012-BZ-60582.patch (fixed upstream)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 01 Mar 2017 09:36:22 +0100

ant (1.9.8-3) unstable; urgency=medium

  * Removed the newly introduced final modifier on Path.systemClasspath
    to preserve the backward compatibility and fix build failures with Eclipse
    (Closes: #850553)
  * Use a versioned dependency for junit4 (>= 4.11)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 19 Jan 2017 10:41:24 +0100

ant (1.9.8-2) unstable; urgency=medium

  * Team upload.
  * Fixed a typo in the man pages
  * Removed 0006-fix-ANT_HOME-path.patch (not required)
  * Removed 0008-junit4-replace-assumeFalse.patch
  * debian/rules:
    - Build with the DH sequencer instead of CDBS
    - Removed activation.jar and inetlib.jar from the build classpath
    - Link the build dependencies to lib/optional as expected by the build
      and removed the classpath tweaks
    - Simplified the bootstrapping
    - Removed the unused PACKAGE variable
    - No longer set the TODAY parameter since the Tsamp task is reproducible
    - No longer set the pom version explicitly
  * Improved the package descriptions

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Jan 2017 15:31:33 +0100

ant (1.9.8-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Reproducibility improvements:
    - The PropertyFile task now honors the SOURCE_DATE_EPOCH variable
      for the date in the header of the .properties file generated
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 06 Jan 2017 01:27:38 +0100

ant (1.9.7-3) unstable; urgency=medium

  * Do not set the javadoc encoding/locale parameters if they were already
    set with a <arg/> element (Closes: #823773)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 May 2016 15:14:43 +0200

ant (1.9.7-2) unstable; urgency=medium

  * Do not set the javadoc encoding twice (Closes: #821065)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 15 Apr 2016 09:49:01 +0200

ant (1.9.7-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Reproducibility improvements:
    - The Javadoc task uses UTF-8 as the default encoding if none was specified
      and SOURCE_DATE_EPOCH is set.
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 14 Apr 2016 12:15:47 +0200

ant (1.9.6-2) unstable; urgency=medium

  * Reproducibility improvements:
    - The Tstamp task now supports the SOURCE_DATE_EPOCH variable
    - The Javadoc task uses 'en' as the default locale if none was specified
      and SOURCE_DATE_EPOCH is set.
  * Restored the XSL files in /usr/share/ant/etc which were removed
    in the version 1.7.1-1 (LP: #563899)
  * Install the missing ant-junit4 pom
  * Standards-Version updated to 3.9.7 (no changes)
  * Use secure Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 28 Mar 2016 11:33:18 +0200

ant (1.9.6-1) unstable; urgency=medium

  * New upstream release
  * Removed the unused gjdoc task

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 06 Jul 2015 10:11:55 +0200

ant (1.9.5-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Improved the build reproducibility by using the date from the changelog
    in version.txt
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 06 Jun 2015 16:40:33 +0200

ant (1.9.4-3) unstable; urgency=medium

  * Removed the patch adding Xerces to the Ant classpath
    (Closes: #552032, #764376, LP: #324899, LP: #490831, LP: #876091)
  * Removed the dependency on libxerces2-java and libjaxp1.3-java
  * debian/rules: Removed the unused compile.debug and compile.optimize
    properties
  * Refreshed the man page for build.xml

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 08 Oct 2014 00:06:55 +0200

ant (1.9.4-2) unstable; urgency=medium

  * Depend on libmail-java instead of libgnumail-java
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 30 Sep 2014 09:15:39 +0200

ant (1.9.4-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Removed the patch for #735786 (Fixed upstream)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 09 May 2014 11:46:04 +0200

ant (1.9.3-2) unstable; urgency=medium

  * Team upload
  * debian/patches
    - add 0009-fix-NullPointerException-when-no-destdir-was-set.patch:
      pick up upstream fix for FTBFS <Closes: #735786>

 -- Hideki Yamane <henrich@debian.org>  Sun, 16 Feb 2014 21:59:46 +0900

ant (1.9.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 3.9.5 (no changes)
  * Switch to debhelper level 9
  * Updated the description of 0008-junit4-replace-assumeFalse.patch
  * debian/rules:
    - Improved the clean target to allow rebuilds
    - Remove the version's -SNAPSHOT suffix by setting the version explicitly
      when calling mh_installjar instead of altering the original pom files
  * Use XZ compression for the upstream tarball
  * Documented the -silent flag in the man page (new in Ant 1.9.0)
  * debian/copyright: Updated to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 06 Jan 2014 23:33:38 +0100

ant (1.9.2-1) unstable; urgency=low

  * New upstream release
  * Use canonical URLs for the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 14 Jul 2013 14:24:45 +0200

ant (1.9.1-2) unstable; urgency=low

  * Team upload.
  * d/maven.rules: Ensure that junit4 dependencies are mapped to 4.x
    junit artefact (Closes: #713381).

 -- James Page <james.page@ubuntu.com>  Tue, 02 Jul 2013 12:03:48 +0100

ant (1.9.1-1) unstable; urgency=low

  * New upstream release
    - Refreshed the patches
    - Removed patch 0001-detect-classpath-based-JVM (merged upstream)
  * Enabled hardening for the -gcj packages
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 15 May 2013 16:19:56 +0200

ant (1.9.0-1) experimental; urgency=low

  * Team upload.

  [ Ludovic Claude ]
  * Add version constraint on libxml-commons-resolver1.1-java to
    secure backport of Ant on Squeeze.

  [ Tony Mancill ]
  * Remove Michael Koch Uploaders (Closes: #653982)
  * Bump Standards-Version to 3.9.4.

  [ Emmanuel Bourg ]
  * New upstream release.
    - Refreshed the patches
    - Upgrade source and target version to 1.5
    - Adapted the build to the new documentation path in the upstream source
    - Added a patch to build the package with junit4 4.10
  * Removed the dependency on java2-runtime-headless
  * Add java7-runtime-headless to list of satisfying JRE dependencies

 -- tony mancill <tmancill@debian.org>  Wed, 27 Mar 2013 20:29:34 -0700

ant (1.8.2-4) unstable; urgency=low

  * Team upload.
  * Provide ant-junit4.jar.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 13 Sep 2011 19:59:30 -0430

ant (1.8.2-3) unstable; urgency=low

  * Team upload.
  * Fix FTBFS due to changes in libxml-commons-resolver1.1-java 1.2.
    (Closes: #637592).
  * Provide ant-testutil.jar. (Closes: #637593).

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 12 Aug 2011 16:33:49 -0430

ant (1.8.2-2) unstable; urgency=low

  * Team upload.
  * Skip javadoc building if we are not building architecture all
    packages.  (Closes: #627110)

 -- Niels Thykier <niels@thykier.net>  Thu, 19 May 2011 13:28:47 +0200

ant (1.8.2-1) unstable; urgency=low

  [ James Page ]
  * New upstream release (Closes: #613914).
    - Fix FTBFS for jug with ant 1.8.1 (Closes: #610320).
  * Bumped Standards-Version to 3.9.2, no changes.
  * Removed ant-nodeps.jar from install as now part of ant core.
  * Added myself to Uploaders.

  [ Niels Thykier ]
  * Added missing mh_clean, thanks to Miguel Landaeta for spotting
    this.
  * Fixed a typo in the ant manpage.
  * Made short descriptions unique.
  * Bumped debhelper compat to 7.
  * Removed empty linda-override dir from ant-doc.
  * Removed redundant Priority fields in d/control.

 -- James Page <james.page@canonical.com>  Wed, 04 May 2011 15:16:42 +0100

ant (1.8.1-1) experimental; urgency=low

  [ Niels Thykier ]
  * Replaced B-D on default-jdk-builddep with gcj-native-helper
    and default-jdk.
  * Bumped Standards-Versions to 3.9.0.
    - Reduced a Conflicts to a Breaks.

  [ Torsten Werner ]
  * New upstream release
  * Update or remove our patches.
  * Do no longer install ant-stylebook.jar and ant-trax.jar because they are no
    longer built.
  * Remove Stefan from Uploaders list. Thanks to your contributions!

 -- Torsten Werner <twerner@debian.org>  Thu, 05 Aug 2010 22:23:25 +0200

ant (1.8.0-4) unstable; urgency=low

  * Convert patches to dep3 format.
  * Add patch from Petr Salinger to fix the nasty bus error in gij. (Closes:
    #570886)
  * Build *-gcj packages again.
  * Add myself to Uploaders.
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Thu, 11 Mar 2010 22:22:39 +0100

ant (1.8.0-3) unstable; urgency=low

  [ Torsten Werner ]
  * Use default-java in $(JAVA_HOME).
  * Do no longer build the -gcj packages because of bus error in gij. Such
    packages are provided by the ant1.7 source package. (Closes: #570889)
  * Remove Arnaud from the Uploaders list.

  [ Ludovic Claude ]
  * Demote ant-optional-gcj from Recommends to Suggests for package ant-optional
    (Closes: #559058)

  [ Niels Thykier ]
  * Removed obsolete linda override.

 -- Torsten Werner <twerner@debian.org>  Sat, 27 Feb 2010 18:26:35 +0100

ant (1.8.0-2) unstable; urgency=low

  [Torsten Werner]
  * Improve Description of ant-gcj thanks to Matthias Klose.

  [Ludovic Claude]
  * Fix a NPE on Diagnostics.getClassLocation(), add patch
    ant_diagnostics.patch for it (Closes: #570588)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sat, 20 Feb 2010 23:32:07 +0100

ant (1.8.0-1) unstable; urgency=low

  * New upstream version
    (Closes: #567229, #330292, #514140, #569936, #570075)
  * Add myself to Uploaders
  * Bump up Standards-Version to 3.8.4, no changes
  * debian/control: update ant Depends and remove old
    java1-runtime-headless, add new java5-runtime-headless and
    java6-runtime-headless
  * Demote ant-gcj from Recommends to Suggests for package ant
    (Closes: #559058)
  * Fix documentation for ant-optional-gcj (Closes: #563760)
  * Update man page ant.1 and build.xml.5: fix Lintian warnings
    and update the documentation
  * Move the patch system to quilt, delete old patches
    (11_ant_underscore_dash_fix.patch, 03_SplashTaskPatch_a.patch),
    refresh all patches
  * Add tasks for stylebook and xalan2
  * Add debian/orig_tar.sh and use it to repack the archive without
    compiled jars and pdf files

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sun, 14 Feb 2010 00:03:38 +0100

ant (1.7.1-4) unstable; urgency=low

  * Fix link to /usr/share/doc/ant-doc/manual/api. You may
    have to uninstall ant-doc then install it again for this
    change to take effect (Closes: #541416)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 01 Sep 2009 18:16:28 +0100

ant (1.7.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 10:07:55 +0200

ant (1.7.1-2) experimental; urgency=low

  * Bump up Standards-Version to 3.8.2
  * Move Ant Javadoc to /usr/share/doc/ant/api/
  * Deploy missing POM files for ant-optional package
  * Fix version for antlr, bcel, commons-net, log4j dependencies in the
    Maven POMs.
  * Fix groupId and artifactId for commons-logging and regexp
    dependencies in the Maven POMs.
  * Fix Ant version in the Maven repository

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 22 Jul 2009 19:08:53 +0100

ant (1.7.1-1) experimental; urgency=low

  [Ludovic Claude]
  * Change section to java, bump up Standards-Version to 3.8.1
  * Update debhelper and compat to 6
  * Add Matthias Klose to Uploaders
  * Move ant-gcj from Recommends to Suggests for ant binary package
    (closes: #506220)
  * Add Build-Depends on libjaxp-1.3-java as xml-apis.jar has moved to this
    package. Add a Suggests on the same package for ant-optional
  * Add the Maven POMs to the package,
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository
  * Remove the full text of the Apache 2.0 license

  [Colin Watson]
  * Drop JDK recommendation to a Suggests to make it feasible to fit ant on
    the server CD (thanks, Thierry Carrez; LP: #389470).

  [Richard A. Johnson]
  * Added 11_ant_underscore_dash_fix.patch fixes - to _ conversion LP: #296409

  [Matthias Klose]
  * New upstream version (bug fix release).
    - mainly a bugfix release.
    - has extended support for Java6 features.
    - <script> now has support for JavaFX.
    - release notes: http://apache.linux-mirror.org/ant/README.html
  * Remove debian/patches/05_ant-bug433444.patch. Obsoleted.
  * Merge from Ubuntu:
    - ant: Depend on default-jre-headless, drop dependency on jvm.
    - Set java source and target version to 1.4.
    - ant: Recommend default-jdk | java-compiler | java-sdk.
  * Fix dangling symlink to ant-bootstrap.jar.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 03 Jul 2009 00:42:36 +0100

ant (1.7.0-6) unstable; urgency=low

  * Moved ant-bootstrap.jar to /usr/share/ant/etc/. Closes: #353586
  * Build-Depends on default-jdk-builddep. Closes: #477844

 -- Michael Koch <konqueror@gmx.de>  Tue, 29 Apr 2008 17:43:04 -0100

ant (1.7.0-5) unstable; urgency=low

  * Fix handling of native2ascii for classpath based VMs.
    Closes: 470584.
  * Fixed Section in ant-doc.doc-base.2 to 'Programming'.

 -- Michael Koch <konqueror@gmx.de>  Mon, 31 Mar 2008 20:14:27 +0200

ant (1.7.0-4) unstable; urgency=low

  * Fixed debian/changelog to differenciate between license and copyright.
  * Removed -1 in versioned dependencies from Build-Depends.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 26 Feb 2008 10:37:26 +0100

ant (1.7.0-3) unstable; urgency=low

  * Upgrade source and target version from 1.2 to 1.3.

 -- Michael Koch <mkoch@quadriga.konqueror.de>  Fri, 24 Aug 2007 19:39:32 +0200

ant (1.7.0-2) unstable; urgency=low

  * Added debian/patches/05_ant-bug433444.patch. Closes: #433444.

 -- Michael Koch <konqueror@gmx.de>  Tue, 17 Jul 2007 13:25:02 -0100

ant (1.7.0-1) unstable; urgency=low

  * New upstream version. Closes: #412716.
  * Updated debian/patches/01_gjdoc_task.patch.
  * Removed debian/patches/03_SplashTaskPatch_b.patch. Obsoleted.
  * Removed debian/patches/03_SplashTaskPatch_c.patch. Obsoleted.
  * Removed debian/patches/04_UUMailerReflection.patch. Obsoleted.
  * Removed debian/patches/05_TaskAvailabilityFix_ANT_PR38260.patch.
    Obsoleted.

 -- Michael Koch <konqueror@gmx.de>  Sat, 07 Jul 2007 09:13:08 -0100

ant (1.6.5-9) unstable; urgency=low

  * Fixed generation of binary-arch only packages. Closes: #430662.

 -- Michael Koch <konqueror@gmx.de>  Sun, 01 Jul 2007 21:06:38 -0100

ant (1.6.5-8) unstable; urgency=low

  * Only compile to native on certain archs. Closes: #430662.
  * Use ${source:Version} instead of ${Source-Version}.
  * Removed Wolfgang from Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Tue, 26 Jun 2007 14:30:53 -0100

ant (1.6.5-7) unstable; urgency=low

  [ Arnaud Vandyck ]
  * debian/build.xml.5: correction of an exemple, thanks to LI Daobing
    (closes: #426345)
  * debian/control: depends on java-gcj-compat-dev as it needs the
    tools.jar file (closes: #397045). So it does not recommends jikes |
    java-compiler no more.
  * debian/control: ant-optional does not depend on a virtual machine
    because it depends on ant.

  [ Michael Koch ]
  * Build -gcj Packages for ant and ant-optional.
  * Fix Homepage: tag in long descriptions.

 -- Michael Koch <konqueror@gmx.de>  Sun, 03 Jun 2007 18:35:58 +0200

ant (1.6.5-6) unstable; urgency=low

  * debian/patches/03_SplashTaskPatch_a.patch: Fixed to apply the new file
    into the correct directory (Closes: #375540).
  * debian/rules: Build with java-gcj-compat.
  * debian/control: (Build-)Depends on java-gcj-compat(-dev).
  * debian/control: Moved cdbs and debhelper to Build-Depends.
  * debian/control: Updated Standards-Version to 3.7.2.
  * debian/control: Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Sat,  1 Jul 2006 10:51:26 +0000

ant (1.6.5-5) unstable; urgency=low

  * Added versioned build dependency on kaffe to fix the bootstrap process
    (/usr/bin/ecj is only available sind 1.16.91-) (closes: #348647)

 -- Wolfgang Baer <WBaer@gmx.de>  Wed, 18 Jan 2006 14:42:45 +0100

ant (1.6.5-4) unstable; urgency=low

  * kaffe compiler transition
  * Applied patch for upstream PR 38260 to fix build failure
    of some package on free runtimes (Thanks, Stephan Michels)

 -- Wolfgang Baer <WBaer@gmx.de>  Mon, 16 Jan 2006 12:17:10 +0100

ant (1.6.5-3) unstable; urgency=low

  * Fixed FTBS by adding bootstrap ANT_HOME (closes: #331081)
  * Add javacc to Suggests as needed by javacc task (closes: #330513)

 -- Wolfgang Baer <WBaer@gmx.de>  Sat,  1 Oct 2005 17:15:35 +0200

ant (1.6.5-2) unstable; urgency=low

  * Converted package to no longer depend on libant1.6-java
    + Dropped libant1.6-java from build-dep and deps
    + ant.links - removed links into libant1.6-java
  * Reorganized binaries build from ant source package
    + ant - includes the scripts and the core tasks
    + ant-doc - includes the manual and javadocs
    + ant-optional - includes the optional tasks
  * As part of this reorganization the following was done
    + Moved core tasks previously in libant1.6-java to ant
    + Moved optional tasks previously in ant to ant-optional
    + Moved manual from ant to ant-doc
    + Added conflicts,replaces with libant1.6-java to ant, ant-optional as
      it contained core and optional task jars
    + Added conflicts/replaces with ant-doc (<= 1.6.5-1) to ant
    + Link all auxiliary jars from ant, ant-optional into /usr/share/java
      as required by debian java policy
  * Completely revised README.Debian
    + Removed paragraph about setting JAVA_HOME which is not needed
      (closes: #291157)
    + Revised differences to upstream - we do not have any regressions
      to building with non-free JDKs
    + Added a paragraph about optional tasks and suggested libraries
  * changelog.html in the ant manual is the description of an ant task
    + Added linda override to suppress error html-only-changelog
    + Added ant-doc.compress to suppress a gzip of this file
  * Registered javadoc and manual with doc-base
    Added ant-doc.doc-base.1 and ant-doc.doc-base.2
  * Added the gjdoc task from libant1.6-java (closes: #324884)

  * Upload sponsored by Arnaud Vandyck <avdyk@debian.org>

 -- Wolfgang Baer <WBaer@gmx.de>  Mon, 15 Aug 2005 15:17:36 +0200

ant (1.6.5-1) unstable; urgency=low

  * New upstream release
    + Build with kaffe/gjdoc/jikes
    + Move to main (closes: #290228)
    + Refractored SplashTask to remove sun internal classes
      patches 03_SplashTaskPatch_a/b/c.patch (submitted upstream)
    + Patched UUMailer.java to use sun internal classes via reflection
    + Updated src/script/ant patches
    + Patched build.xml to include maxmemory option to build javadoc
  * Splashscreen now works with kaffe/gij-4.0/jamvm packages
    (closes: #169755, #164401)
  * Removed extraneous files left by failed builds (closes: #310266)
  * Added libjsch-java to path and include ant-jsch (closes: #305674)
  * Added ant-jmf to ant.install
  * Added java1-runtime | java2-runtime as alternatives to kaffe to Depends
  * Moved ant-doc to section doc (closes: #253448)
  * According to upstream changelog ant junitreport for JDK 1.5
    was fixed already in 1.6.2 (closes: #273560)
  * Taskdef attributes are the same as for Typedef and therefore
    described through the provided link to Typedef manual (closes: #254683)
  * Updated README.Debian
  * Updated build.xml.5 and ant.1 manpages
  * Changed Build-Depends to Build-Depends-Indep to fix lintian warning
  * Moved java-virtual-machine to suggests
  * Used versioned dependency for libant1.6-java (same upstream version needed)
  * Call dh_installdocs directly to exclude redundant LICENSE files
  * Bumped Standards-Version to 3.6.2 - no changes
  * Added myself to uploaders
  * Upload sponsored by Arnaud Vandyck

 -- Wolfgang Baer <WBaer@gmx.de>  Thu, 23 Jun 2005 16:11:44 +0200

ant (1.6.2-2) unstable; urgency=low

  * added commons-net to the path when building (closes: #272556).

 -- Arnaud Vandyck <avdyk@debian.org>  Tue, 28 Sep 2004 11:44:52 +0200

ant (1.6.2-1) unstable; urgency=low

  * New upstream release
  * debian/watch: added file to monitor new upstream
  * debian/ant.install: changed name of some libs (they changed it
    upstream): ant-apache-bcel.jar, ant-apache-log4j, ant-apache-oro.jar,
    ant-apache-regexp.jar
  * debian/ant.install: added ant-apache-resolver.jar, ant-bootstrap.jar
    and ant-commons-net.jar (/usr/share/ant/lib)
  * debian/ant.install: removed ant-xalan2.jar (does not exist anymore
    upstream!)

 -- Arnaud Vandyck <arnaud@ressource-toi.org>  Sun, 15 Aug 2004 00:50:34 +0200

ant (1.6.1-2) unstable; urgency=low

  * Add the Xerces2 XML parser to the local classpath
    (closes: #240245, #249136)
  * Don't make /usr/share/ant/lib/ant-launcher.jar a symlink since Ant's
    startup code would follow it and wrongly add JARs from
    /usr/share/ant1.6/lib instead of /usr/share/ant/lib to the classpath
    (closes: #238674, #239797, #251527, #238187, #245042)
  * Correctly set ANT_HOME in /usr/bin/ant

 -- Stefan Gybas <sgybas@debian.org>  Sun,  6 Jun 2004 18:55:09 +0200

ant (1.6.1-1) unstable; urgency=low

  * New upstream release (closes: #230061)
    + Uses the new interface to BSF (closes: #217752)
    + Fixes bug in finding javacc.jar (closes: #232592)
  * Only suggest the libraries for optional tasks instead of depending on
    them (closes: #211560, #228142)
  * Build with the packaged version of ORO (closes: #200909)
  * Fixed typo in ant.1 man page (closes: #215291). Thanks to Nicolas Francois
    for the patch!
  * Updated copyright to include the new Apache License version 2.0
  * Use upstream's version of the Ant wrapper /usr/bin/ant which uses the
    new ant-launcher.jar
  * Updated README.Debian

 -- Stefan Gybas <sgybas@debian.org>  Wed, 10 Mar 2004 01:47:53 +0100

ant (1.5.4-3) unstable; urgency=low

  * The ant package now conflicts with and replaces ant-doc (<< 1.5.4-2)
    (closes: #211234)
  * Use CDBS to build the package
  * Set Maintainer to Debian Java Maintainers

 -- Stefan Gybas <sgybas@debian.org>  Wed, 17 Sep 2003 15:00:17 +0200

ant (1.5.4-2) unstable; urgency=low

  * Remove ant.jar and depend on libant1.5-java instead
  * Move all documentation expect the Javadoc API documentation from ant-doc
    to ant (closes: #174876)
  * Install the XSL files in /usr/share/ant/etc/ (closes: #205484)
  * Standards-Version: 3.6.1 (no changes required)

 -- Stefan Gybas <sgybas@debian.org>  Sun,  7 Sep 2003 17:26:14 +0200

ant (1.5.4-1) unstable; urgency=low

  * New upstream release
  * Modify the build process so that no changes to build.xml and bootstrap.sh
    are required
  * Build JDepend task (closes: #203149)
  * Added a list of missing classes in ant-optional.jar compared to upstream's
    optional.jar to README.Debian
  * Standards-Version: 3.6.0
    + Moved debhelper from Build-Depends-Indep: to Build-Depends:

 -- Stefan Gybas <sgybas@debian.org>  Thu, 14 Aug 2003 11:57:48 +0200

ant (1.5.3-2) unstable; urgency=low

  * Add xmlParserAPIs.jar from Xalan2 to the class path instead of xml-apis.jar
    from Xerces2 (closes: #195702)
  * Don't compress manual/CoreTasks/changelog.html and other files in ant-doc
    (closes: #159963)
  * Depend on the previously suggested packages jython and antlr to avoid
    dangling symlinks in /usr/share/ant/lib
  * Honor $ANT_ARGS in startup script (closes: #174313)
  * Added dependency on java*-runtime as required by the Java Policy
  * Enable support for BCEL and Commons Logging (closes: #179177)
  * Compile using Blackdown's JDK 1.4 runtime classes to make sure that the
    Javah task gets built (closes: #182918)
  * Depend on liblog4j1.2-java instead of liblog4j (closes: #191177)
  * Fixed handling of target names with spaces (closes: #198481)
  * Updated upstream URL in copyright and package description
  * Fixed Lintian errors and warnings:
    + Removed extra license in ant-doc
    + Fixed bad whatis entry in manual pages
  * Updated README.Debian
  * Standards-Version: 3.5.10 (no changes required)

 -- Stefan Gybas <sgybas@debian.org>  Tue, 24 Jun 2003 16:21:44 +0200

ant (1.5.3-1) unstable; urgency=low

  * New upstream release

 -- Takashi Okamoto <tora@debian.org>  Wed,  9 Apr 2003 21:32:28 +0900

ant (1.5.1-1) unstable; urgency=low

  * New upstream release
  * Build with debhelper >= 4.1.0 to get rid of /usr/doc compatibility
    symlinks
  * Standards-Version: 3.5.7 (no changes required)
  * Added Takashi Okamoto and Ola Lundqvist as uploaders
  * Build with jikes as a first step in a movement from contrib to main

 -- Stefan Gybas <sgybas@debian.org>  Wed, 23 Oct 2002 16:07:15 +0200

ant (1.5-1) unstable; urgency=low

  * New upstream release

 -- Stefan Gybas <sgybas@debian.org>  Thu, 11 Jul 2002 23:02:20 +0200

ant (1.4.99b3-1) unstable; urgency=low

  * New upstream release: Ant 1.5beta3
    + calles com.sun.tools.javac.Main when using the modern Java compiler
      (closes: #147466)
  * Build using Xerces-J 2.0 like upstream does
  * Build depend on recent Xalan-J 2.0 version so that the style task works
    with TrAX (closes: #148997)
  * Depend on some of the previously suggested packages (Xalan-J, JUnit)

 -- Stefan Gybas <sgybas@debian.org>  Wed,  3 Jul 2002 17:24:11 +0200

ant (1.4.99b1-1) unstable; urgency=low

  * New upstream release: Ant 1.5beta1
    + supports Java 1.4 taglets in javadoc task (closes: #138648)
  * Fixed spelling error in doc-base title (closes: #144274)
  * Add a note to README.Debian about additional dependencies for some
    optional tasks (closes: #139188)
  * Add a note to README.Debian about dangling symlinks in
    /usr/share/ant/lib (closes: #138638)
  * Build using Xerces 1 and Xalan 1 until the problems with Xalan 2 are
    resolved
  * Use DH_COMPAT=4 in debian/rules and update build dependencies accordingly

 -- Stefan Gybas <sgybas@debian.org>  Sun, 26 May 2002 18:31:38 +0200

ant (1.4.1-4) unstable; urgency=low

  * Applied patch from Adam Heath to not follow symlinks during deletion
    (closes: #133291)
  * Copy the Ant startup script to /usr/share/ant/bin/ant (closes: #133641)
  * Provide the upstream chaneglog (WHATSNEW)
  * The package can now be compiled with j2sdk1.3 1.3.1-1.1 (which has
    JAVA_HOME set to /usr/lib/j2se/1.3) and 1.3.1-1 (which has JAVA_HOME set
    to /usr/lib/j2sdk1.3).

 -- Stefan Gybas <sgybas@debian.org>  Thu, 14 Feb 2002 14:28:48 +0100

ant (1.4.1-3) unstable; urgency=low

  * Correctly set classpath (closes: #132027)
  * Install API doc into manual/api so that links work (closes: #132012)
  * Fixed typos in previous changelog entry

 -- Stefan Gybas <sgybas@debian.org>  Sun,  3 Feb 2002 11:28:35 +0100

ant (1.4.1-2) unstable; urgency=low

  * Removed empty line from src/main/org/apache/tools/ant/defaultManifest.mf.
    Thanks to Ken Harris and Marko Kreen for investigation! (closes: #112261)
  * Use $JAVA_HOME/bin/java instead of /usr/bin/java if the former
    exists, Thanks to Taso Lyristis for the patch!
  * Respect $JAVACMD and $ANT_OPTS in /usr/bin/ant as the documentation
    says. Thanks to Marko Kreen for the patch! (closes: #119611)
  * Only append JAR files in /usr/share/ant/lib/ to the CLASSPATH if
    the file actually exists to avoid problems with dangling symlinks
  * Include symlinks to optional JARs from other packages into the package
    instead of creating them in the postinst. However, ant still only
    suggests these packages. (closes: #124378)
  * Also include symlink to js.jar from rhino. (closes: #130624)
  * Check the length of osname in src/main/org/apache/tools/tar/TarEntry.java
    to avoid StringIndexOutOfBoundsException on Linux. (closes: #126479)
  * Added getMode() to src/main/org/apache/tools/tar/TarEntry.java, taken
    from upstream CVS. (closes: #126472)
  * Build API docs and put them together with the HTML manual in the new
    ant-doc package (closes: #125144)
  * Install the JARs as /usr/share/java/ant-$version-*.jar and create
    /usr/share/java/ant-*.jar symlinks as recommended by the Java policy
  * Use dh_installman instead of dh_installmanpages so ant.1 and build.5
    are only included in the main package
  * Make ant-doc conflict with previous versions of ant because of
    overlapping files

 -- Stefan Gybas <sgybas@debian.org>  Wed, 30 Jan 2002 09:45:06 +0100

ant (1.4.1-1) unstable; urgency=low

  * New upstream release with fixed JAR generation (closes: #112261)
  * Use /usr/lib/j2se/1.3 for JAVA_HOME (for j2sdk1.3 from Incoming)
  * Removed emacs settings from changelog (Lintian)
  * Changed Build-Depends to Build-Depends-Indep (Lintian)

 -- Stefan Gybas <sgybas@debian.org>  Tue, 23 Oct 2001 22:31:57 +0200

ant (1.4-1) unstable; urgency=low

  * New upstream release
  * Use libxalan2-java instad of libxalan-java
  * Build support for liblog4j and libregexp-java
  * Suggest jython and include its JAR in Ant's class path so Python
    can be used in the <script> task

 -- Stefan Gybas <sgybas@debian.org>  Thu, 13 Sep 2001 12:09:10 +0200

ant (1.3-4) unstable; urgency=low

  * Built using Sun's javac instead of jikes (closes: #107326)

 -- Stefan Gybas <sgybas@debian.org>  Fri, 24 Aug 2001 16:46:53 +0200

ant (1.3-3) unstable; urgency=low

  * Built Ant using JMF, JUnit, Xalan and ANTLR so some extra tags are
    supported in build.xml
  * Add optional packages to CLASSPATH at installation time if they are
    installed

 -- Stefan Gybas <sgybas@debian.org>  Mon, 30 Jul 2001 23:33:15 +0200

ant (1.3-2) unstable; urgency=low

  * Also move binary package to contrib

 -- Stefan Gybas <sgybas@debian.org>  Fri, 27 Jul 2001 00:45:46 +0200

ant (1.3-1) unstable; urgency=low

  * New upstream release (closes: #95866)
  * Build using j2dsk1.3 instead of kaffe because kaffe lacks too many
    JDK 1.2 features and is too buggy to even run Ant. Unfortunately, this
    requires moving ant from main to contrib but it fixes many Ant
    problems. (closes: #105737)
  * Use debhelper V3
  * Standards-Version: 3.5.6 (no changes required)
  * Call bootstraop.sh to build ant, this fixes the problem with missing
    files in the resulting ant.jar (closes: #85802, #90023, #90024, #93400,
    #98207, #106468)
  * Include man pages ant.1 and build.xml.5, thanks to Egon Willighagen
    (closes: #92975)
  * Add tools.jar to Ant's classpath if $JAVA_HOME is defined
  * Updated README.Debian
  * Build using libbsf-java and liboro-java so advanced features can be used.
    Added suggestions for these packages.

 -- Stefan Gybas <sgybas@debian.org>  Wed, 25 Jul 2001 22:48:52 +0200

ant (1.2-1) unstable; urgency=low

  * New upstream release
  * Build classpath from all JARs in /usr/share/ant/lib/

 -- Stefan Gybas <sgybas@debian.org>  Tue, 21 Nov 2000 21:36:34 +0100

ant (1.1-2) unstable; urgency=low

  * Build using new Xerces-J 1.2.0 version
  * Add symlink to ant.jar in /usr/share/ant/lib
  * Updated debian/rules to use debhelper V2
  * Updated to Standards-Version: 3.2.1 (no changes required)

 -- Stefan Gybas <sgybas@debian.org>  Mon, 25 Sep 2000 20:58:06 +0200

ant (1.1-1) unstable; urgency=low

  * Initial Release

 -- Stefan Gybas <sgybas@debian.org>  Wed, 19 Jul 2000 12:50:39 +0200
